{
  "name": "jingrow-framework",
  "scripts": {
    "build": "node esbuild",
    "production": "node esbuild --production",
    "watch": "node esbuild --watch",
    "coverage:report": "npx nyc report --reporter=clover"
  },
  "repository": {
    "type": "git",
    "url": "git+http://git.jingrow.com/jingrow/jingrow.git"
  },
  "author": "JINGROW.",
  "license": "MIT",
  "bugs": {
    "url": "http://git.jingrow.com/jingrow/jingrow/issues"
  },
  "engines": {
    "node": ">=24"
  },
  "homepage": "https://framework.jingrow.com",
  "dependencies": {
    "@editorjs/editorjs": "~2.26.3",
    "@headlessui/vue": "^1.7.16",
    "@jingrow/esbuild-plugin-postcss2": "http://npm.jingrow.com:105/esbuild-plugin-postcss2-0.1.3.tgz",
    "@popperjs/core": "^2.11.2",
    "@redis/client": "^1.5.8",
    "@sentry/browser": "^7.119.1",
    "@tiptap/core": "^2.2.0",
    "@tiptap/extension-blockquote": "^2.2.0",
    "@tiptap/extension-bold": "^2.2.0",
    "@tiptap/extension-bullet-list": "^2.2.0",
    "@tiptap/extension-character-count": "^2.2.0",
    "@tiptap/extension-code": "^2.2.0",
    "@tiptap/extension-code-block": "^2.2.0",
    "@tiptap/extension-code-block-lowlight": "^2.2.0",
    "@tiptap/extension-collaboration": "^2.2.0",
    "@tiptap/extension-collaboration-cursor": "^2.2.0",
    "@tiptap/extension-color": "^2.2.0",
    "@tiptap/extension-dropcursor": "^2.2.0",
    "@tiptap/extension-emoji": "^2.2.0",
    "@tiptap/extension-font-family": "^2.2.0",
    "@tiptap/extension-gapcursor": "^2.2.0",
    "@tiptap/extension-heading": "^2.2.0",
    "@tiptap/extension-highlight": "^2.2.0",
    "@tiptap/extension-history": "^2.2.0",
    "@tiptap/extension-horizontal-rule": "^2.2.0",
    "@tiptap/extension-image": "^2.2.0",
    "@tiptap/extension-italic": "^2.2.0",
    "@tiptap/extension-link": "^2.2.0",
    "@tiptap/extension-list-item": "^2.2.0",
    "@tiptap/extension-ordered-list": "^2.2.0",
    "@tiptap/extension-paragraph": "^2.2.0",
    "@tiptap/extension-placeholder": "^2.2.0",
    "@tiptap/extension-strike": "^2.2.0",
    "@tiptap/extension-subscript": "^2.2.0",
    "@tiptap/extension-superscript": "^2.2.0",
    "@tiptap/extension-table": "^2.2.0",
    "@tiptap/extension-table-cell": "^2.2.0",
    "@tiptap/extension-table-header": "^2.2.0",
    "@tiptap/extension-table-row": "^2.2.0",
    "@tiptap/extension-task-item": "^2.2.0",
    "@tiptap/extension-task-list": "^2.2.0",
    "@tiptap/extension-text": "^2.2.0",
    "@tiptap/extension-text-align": "^2.2.0",
    "@tiptap/extension-text-style": "^2.2.0",
    "@tiptap/extension-typography": "^2.2.0",
    "@tiptap/extension-underline": "^2.2.0",
    "@tiptap/starter-kit": "^2.2.0",
    "@vue-flow/background": "latest",
    "@vue-flow/controls": "latest",
    "@vue-flow/core": "latest",
    "@vue-flow/minimap": "latest",
    "@vue/component-compiler": "^4.2.4",
    "@vueuse/core": "^9.5.0",
    "ace-builds": "^1.4.8",
    "air-datepicker": "git+http://git.jingrow.com/jingrow/air-datepicker",
    "autoprefixer": "10",
    "awesomplete": "^1.1.5",
    "bootstrap": "4.6.2",
    "chalk": "^2.3.2",
    "cliui": "^7.0.4",
    "cookie": "^0.4.0",
    "cropperjs": "^1.5.12",
    "cssnano": "^5.0.0",
    "driver.js": "^0.9.8",
    "editorjs-undo": "0.1.6",
    "esbuild": "^0.14.29",
    "esbuild-plugin-vue3": "http://npm.jingrow.com:105/esbuild-plugin-vue3-0.3.2.tgz",
    "fast-deep-equal": "^2.0.1",
    "fast-glob": "^3.2.5",
    "highlight.js": "^11.11.1",
    "html5-qrcode": "^2.3.8",
    "interactjs": "^1.10.27",
    "jingrow-charts": "http://npm.jingrow.com:105/jingrow-charts-2.0.0-rc22.tgz",
    "jingrow-datatable": "http://npm.jingrow.com:105/jingrow-datatable-1.17.16.tgz",
    "jingrow-gantt": "http://npm.jingrow.com:105/jingrow-gantt-0.6.1.tgz",
    "jquery": "3.7.0",
    "js-sha256": "^0.9.0",
    "jsbarcode": "^3.11.0",
    "launch-editor": "^2.2.1",
    "localforage": "^1.10.0",
    "md5": "^2.3.0",
    "moment": "^2.29.4",
    "moment-timezone": "^0.5.35",
    "pinia": "^2.0.23",
    "plyr": "^3.7.8",
    "popper.js": "^1.16.0",
    "postcss": "8",
    "prettier": "^3.6.2",
    "quill": "2.0.3",
    "quill-image-resize": "^3.0.9",
    "quill-magic-url": "^3.0.0",
    "qz-tray": "^2.0.8",
    "rtlcss": "^4.0.0",
    "sass": "^1.63.0",
    "showdown": "^2.1.0",
    "socket.io": "^4.7.1",
    "socket.io-client": "^4.7.1",
    "sortablejs": "^1.15.0",
    "superagent": "^8.0.0",
    "touch": "^3.1.0",
    "vue": "^3.5.12",
    "vue-router": "^4.1.5",
    "vuedraggable": "^4.1.0",
    "vuex": "4.0.2",
    "yargs": "^17.5.1"
  },
  "nyc": {
    "report-dir": ".cypress-coverage"
  },
  "optionalDependencies": {
    "bufferutil": "^4.0.8",
    "utf-8-validate": "^6.0.3"
  }
}
